// Code generated by mockery v2.42.3. DO NOT EDIT.

package mocks

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	entity "gitlab.com/art.frela/ckv/internal/entity"
)

// MockCompute is an autogenerated mock type for the Compute type
type MockCompute struct {
	mock.Mock
}

type MockCompute_Expecter struct {
	mock *mock.Mock
}

func (_m *MockCompute) EXPECT() *MockCompute_Expecter {
	return &MockCompute_Expecter{mock: &_m.Mock}
}

// HandleQuery provides a mock function with given fields: _a0, _a1
func (_m *MockCompute) HandleQuery(_a0 context.Context, _a1 string) (entity.Query, error) {
	ret := _m.Called(_a0, _a1)

	if len(ret) == 0 {
		panic("no return value specified for HandleQuery")
	}

	var r0 entity.Query
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string) (entity.Query, error)); ok {
		return rf(_a0, _a1)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string) entity.Query); ok {
		r0 = rf(_a0, _a1)
	} else {
		r0 = ret.Get(0).(entity.Query)
	}

	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(_a0, _a1)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockCompute_HandleQuery_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'HandleQuery'
type MockCompute_HandleQuery_Call struct {
	*mock.Call
}

// HandleQuery is a helper method to define mock.On call
//   - _a0 context.Context
//   - _a1 string
func (_e *MockCompute_Expecter) HandleQuery(_a0 interface{}, _a1 interface{}) *MockCompute_HandleQuery_Call {
	return &MockCompute_HandleQuery_Call{Call: _e.mock.On("HandleQuery", _a0, _a1)}
}

func (_c *MockCompute_HandleQuery_Call) Run(run func(_a0 context.Context, _a1 string)) *MockCompute_HandleQuery_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string))
	})
	return _c
}

func (_c *MockCompute_HandleQuery_Call) Return(_a0 entity.Query, _a1 error) *MockCompute_HandleQuery_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockCompute_HandleQuery_Call) RunAndReturn(run func(context.Context, string) (entity.Query, error)) *MockCompute_HandleQuery_Call {
	_c.Call.Return(run)
	return _c
}

// NewMockCompute creates a new instance of MockCompute. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockCompute(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockCompute {
	mock := &MockCompute{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
